nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | Static Public Member Functions | List of all members
nx::kit::detail::json11::Json Class Referencefinal

## Public Types
enum | Type { NUL, NUMBER, BOOL, STRING, ARRAY, OBJECT, NUL, NUMBER, BOOL, STRING, ARRAY, OBJECT }
enum | Type { NUL, NUMBER, BOOL, STRING, ARRAY, OBJECT, NUL, NUMBER, BOOL, STRING, ARRAY, OBJECT }
typedef std::vector< Json > | array
typedef std::map< std::string, Json > | object
typedef std::initializer_list< std::pair< std::string, Type > > | shape
typedef std::vector< Json > | array
typedef std::map< std::string, Json > | object
typedef std::initializer_list< std::pair< std::string, Type > > | shape

## Public Member Functions
| Json (std::nullptr_t) noexcept
| Json (double value)
| Json (int value)
| Json (bool value)
| Json (const std::string &value)
| Json (std::string &&value)
| Json (const char *value)
| Json (const array &values)
| Json (array &&values)
| Json (const object &values)
| Json (object &&values)
template<class T , class = decltype(&T::to_json)>
| Json (const T &t)
template<class M , typename std::enable_if< std::is_constructible< std::string, decltype(std::declval< M >().begin() ->first)>::value &&std::is_constructible< Json, decltype(std::declval< M >().begin() -> second>
| Json (const M &m)
template<class V , typename std::enable_if< std::is_constructible< Json, decltype(*std::declval< V >().begin())>::value, int >::type = 0>
| Json (const V &v)
| Json (void *)=delete
Type | type () const
bool | is_null () const
bool | is_number () const
bool | is_bool () const
bool | is_string () const
bool | is_array () const
bool | is_object () const
double | number_value () const
int | int_value () const
bool | bool_value () const
const std::string & | string_value () const
const array & | array_items () const
const object & | object_items () const
const Json & | operator[] (size_t i) const
const Json & | operator[] (const std::string &key) const
void | dump (std::string &out) const
std::string | dump () const
bool | operator== (const Json &rhs) const
bool | operator< (const Json &rhs) const
bool | operator!= (const Json &rhs) const
bool | operator<= (const Json &rhs) const
bool | operator> (const Json &rhs) const
bool | operator>= (const Json &rhs) const
bool | has_shape (const shape &types, std::string &err) const
| Json (std::nullptr_t) noexcept
| Json (double value)
| Json (int value)
| Json (bool value)
| Json (const std::string &value)
| Json (std::string &&value)
| Json (const char *value)
| Json (const array &values)
| Json (array &&values)
| Json (const object &values)
| Json (object &&values)
template<class T , class = decltype(&T::to_json)>
| Json (const T &t)
template<class M , typename std::enable_if< std::is_constructible< std::string, decltype(std::declval< M >().begin() ->first)>::value &&std::is_constructible< Json, decltype(std::declval< M >().begin() -> second>
| Json (const M &m)
template<class V , typename std::enable_if< std::is_constructible< Json, decltype(*std::declval< V >().begin())>::value, int >::type = 0>
| Json (const V &v)
| Json (void *)=delete
Type | type () const
bool | is_null () const
bool | is_number () const
bool | is_bool () const
bool | is_string () const
bool | is_array () const
bool | is_object () const
double | number_value () const
int | int_value () const
bool | bool_value () const
const std::string & | string_value () const
const array & | array_items () const
const object & | object_items () const
const Json & | operator[] (size_t i) const
const Json & | operator[] (const std::string &key) const
void | dump (std::string &out) const
std::string | dump () const
bool | operator== (const Json &rhs) const
bool | operator< (const Json &rhs) const
bool | operator!= (const Json &rhs) const
bool | operator<= (const Json &rhs) const
bool | operator> (const Json &rhs) const
bool | operator>= (const Json &rhs) const
bool | has_shape (const shape &types, std::string &err) const

## Static Public Member Functions
static Json | parse (const std::string &in, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static Json | parse (const char *in, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static std::vector< Json > | parse_multi (const std::string &in, std::string::size_type &parser_stop_pos, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static std::vector< Json > | parse_multi (const std::string &in, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static Json | parse (const std::string &in, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static Json | parse (const char *in, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static std::vector< Json > | parse_multi (const std::string &in, std::string::size_type &parser_stop_pos, std::string &err, JsonParse strategy=JsonParse::STANDARD)
static std::vector< Json > | parse_multi (const std::string &in, std::string &err, JsonParse strategy=JsonParse::STANDARD)

The documentation for this class was generated from the following files:

- nx_kit/src/nx/kit/json.cpp
- nx_kit/src/nx/kit/json.h
- nx_kit/src/json11/json11.cpp